## Instalar paquete desde CRAN
# install.packages("exams", dependencies = T)

## Instalar versión en desarrollo
# install.packages("exams", repos="http://R-Forge.R-project.org")


## Instalar tinytex
# tinytex::install_tinytex()


# Cargar paquete
library(exams)

## Establecer directorio donde esta guardado este script como directorio de trabajo.
# install.packages("rstudioapi")
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))

# Primer contacto ----
exams_skeleton(markup = "latex", encoding = "UTF-8", writer = c("exams2pdf"))

# Comprobar que todo está bien instalado
exams2pdf("exercises/swisscapital.Rnw")

# Si ocurre error con Sweave.sty, buscar ruta de archivo. Ejemplo
texdir = "/Library/Frameworks/R.framework/Versions/Current/Resources/share/texmf/tex/latex"
exams2pdf("exercises/swisscapital.Rnw", texdir = texdir)



# Exportar preguntas a pdf ----- 
# Ejemplos
exams2pdf("Ejemplos/media_num.Rnw", encoding = "UTF-8", template = "plain")
exams2pdf("Ejemplos/funciones_string.Rnw", encoding = "UTF-8")
exams2pdf("Ejemplos/funciones_schoice.Rnw", encoding = "UTF-8")
exams2pdf("Ejemplos/dispersion_mchoice.Rnw", encoding = "UTF-8")

# Ejemplo con imagen externa
exams2pdf("Ejemplos/imagenExterna.Rnw", encoding = "UTF-8", texdir = texdir)


# Ejemplo con plantilla modificada
exams2pdf("Ejemplos/media_num.Rnw", encoding = "UTF-8", template = "Plantillas/plain")




# Exportar examen a Blacboard ------
# Crear lista para exportar examen a Blackboard
miExamen = list(
  "Ejemplos/media_num.Rnw",
  "Ejemplos/funciones_string.Rnw",
  "Ejemplos/funciones_schoice.Rnw",
  "Ejemplos/dispersion_mchoice.Rnw"
)

exams2blackboard(miExamen, n = 5, points = 1, name = "points1")





# Comprobar penalizaciones de preguntas mchoice ----
  # Especificar argumentos de evaluación
  ee <- exams_eval(partial = T, negative = F, rule = "false") 
  # Crear ejemplos de solución correcta/ respuesta dada
  ee$checkanswer("1100", "1001") 
  # Puntuación obtenida en ese escenario
  ee$pointsum("1111", "1001") 

